<?php
/*
  makewam.php
  作成日：2004/12/2
　最終更新日：2005/9/24

　作成者：有限会社セカンドブレーン
　　　　　　青木隆平
　　　　　　ryuhei@secondbrain.co.jp

  Released under the GNU General Public License
*/

define('HEADING_TITLE', '連想検索データベースの更新');

define('ERROR_GETA_WORK_DIRECTORY_NOT_WRITEABLE', 'エラー: 作業ディレクトリに書き込みできません: ');
define('ERROR_GETA_WORK_DIRECTORY_DOES_NOT_EXIST', 'エラー: 作業ディレクトリが存在しません: ');
define('ERROR_MAKEWAM_JP_NOT_EXECUTABLE', 'エラー: 作業ファイルが実行できません: ');
define('ERROR_MAKEWAM_JP_DOES_NOT_EXIST', 'エラー: 作業ファイルが存在しません: ');
define('ERROR_MKW_NOT_EXECUTABLE', 'エラー: 作業ファイルが実行できません: ');
define('ERROR_MKW_DOES_NOT_EXIST', 'エラー: 作業ファイルが存在しません: ');
define('ERROR_MKAUX_NOT_EXECUTABLE', 'エラー: 作業ファイルが実行できません: ');
define('ERROR_MKAUX_DOES_NOT_EXIST', 'エラー: 作業ファイルが存在しません: ');
define('ERROR_DUMPWAM_NOT_EXECUTABLE', 'エラー: 作業ファイルが実行できません: ');
define('ERROR_DUMPWAM_DOES_NOT_EXIST', 'エラー: 作業ファイルが存在しません: ');
define('ERROR_C_MAKEWAM_NOT_WRITABLE', 'エラー: 設定ファイルに書き込みできません: ');
define('ERROR_C_MAKEWAM_DOES_NOT_EXIST', 'エラー: 設定ファイルが存在しません: ');
define('ERROR_P_MAKEWAM_NOT_WRITABLE', 'エラー: 設定ファイルに書き込みできません: ');
define('ERROR_P_MAKEWAM_DOES_NOT_EXIST', 'エラー: 設定ファイルが存在しません: ');
define('ERROR_M_MAKEWAM_NOT_WRITABLE', 'エラー: 設定ファイルに書き込みできません: ');
define('ERROR_M_MAKEWAM_DOES_NOT_EXIST', 'エラー: 設定ファイルが存在しません: ');
define('ERROR_R_MAKEWAM_NOT_WRITABLE', 'エラー: 設定ファイルに書き込みできません: ');
define('ERROR_R_MAKEWAM_DOES_NOT_EXIST', 'エラー: 設定ファイルが存在しません: ');
define('SUCCESS_WAM_UPDATE_COMPLETE', '成功: 作業が完了しました。');

define('TEXT_CHECK_INCLUDE_FIELDS', '連想検索の対象とする項目にチェックを入れてください。');
define('TEXT_WEIGHT', '重み&nbsp;');

define('TEXT_CREATE_PRODUCTS_WAM', '商品検索データベースの更新');
define('TEXT_INCLUDES_CATEGORY_FIELDS', 'カテゴリーの情報も検索対象にする');
define('TEXT_INCLUDES_MANUFACTURER_FIELDS', KN_CFG_USE_MANUFACTURERS . 'の情報も検索対象にする');
define('TEXT_INCLUDES_REVIEW_FIELDS', '書評の情報も検索対象にする');
define('TEXT_PRODUCTS_NAME', '書名');
define('TEXT_PRODUCTS_SUBTITLE', '副題');
define('TEXT_PRODUCTS_SERIES_TITLE', 'シリーズ名');
define('TEXT_PRODUCTS_AUTHOR', '著者');
define('TEXT_PRODUCTS_PUBLISHERS', '出版元');
define('TEXT_PRODUCTS_DESCRIPTION', '説明文');
define('TEXT_PRODUCTS_DESCRIPTION2', '説明文２');
define('TEXT_PRODUCTS_KEYWORDS', '検索キーワード');
define('TEXT_CREATE_CATEGORIES_WAM', 'カテゴリー検索データベースの更新');
define('TEXT_CATEGORIES_NAME', 'カテゴリー名');
define('TEXT_CATEGORIES_DESCRIPTION', '説明文');
define('TEXT_CATEGORIES_KEYWORDS', 'カテゴリーの検索キーワード');
define('TEXT_CATEGORIES_IMAGE', 'カテゴリー画像');
define('TEXT_MANUFACTURERS_NAME', KN_CFG_USE_MANUFACTURERS . '名');
define('TEXT_MANUFACTURERS_KEYWORDS', KN_CFG_USE_MANUFACTURERS . 'の検索キーワード');
define('TEXT_REVIEWS_TEXT', '書評内容');
define('TEXT_PRODUCTS_WAM_DUMP_LINK', 'ダンプの表示（不具合調査用）');

define('TEXT_WAM_DUMP', 'ダンプの出力結果');

define('TEXT_MAKEWAM_NOTE01', '<p><b>データベース更新について</b></p><p><font color="#ff0000">　連想検索機能は、カテゴリーや商品を登録したデータベースとは別のデータベースを使用しています。</font></p><p>　ですので、商品やカテゴリー等のデータに追加、更新、削除（売り切れも）がありましたら、その都度データベースの更新をしてください。');
define('TEXT_MAKEWAM_NOTE02', '<p><b>データベース更新方法</b></p><p>　まず、連想検索の対象とする項目を指定します。検索対象にする項目を、左記の各項目名の左にあるチェックボックスで指定してください。</p><p>　次に、各項目の「重み」を、１を基準とした倍数（正の整数）で指定します。</p><p>　カテゴリーや追加分類の情報も検索対象にする場合は、それぞれチェックボックスにチェックをしてください。<br>　カテゴリーや追加分類の情報も検索対象にすることで、同じカテゴリー、追加分類の商品同士が連想されやすくなります。</p><p>　最後に更新ボタンを押してください。更新には時間がかかることがあります。</p>');
define('TEXT_MAKEWAM_NOTE03', '<p><b>重みとは？</b></p><p>　「重み」は連想の順位を調整するために使用します。</p><p>　例えば、あるキーワードで検索した場合に、書名に該当するキーワードが記載されていた商品のほうを、説明文に記載されていた商品より連想順位を高くしたい、といった場合に使用します。</p><p>　連想結果の評価として重要度の高い項目には、他の項目より高い数値（他が１であれば２や３）を設定してください。');
?>